| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::BoolGrammar< Iterator, Skipper > Struct Template Reference

`#include <src/JobOptionsSvc/Grammar.h>`

Inheritance diagram for Gaudi::Parsers::BoolGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::BoolGrammar< Iterator, Skipper >:
[legend]

## Public Types
typedef bool | ResultT
typedef bool | ResultT

## Public Member Functions
| BoolGrammar ()
| BoolGrammar ()

## Public Attributes
qi::rule< Iterator, bool(), Skipper > | boolean
qi::rule< Iterator, bool(), Skipper > | boolean_literal

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::BoolGrammar< Iterator, Skipper >

Definition at line 100 of file Grammar.h.

## Member Typedef Documentation

template<typename Iterator, typename Skipper>

typedef bool Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::ResultT

Definition at line 102 of file Grammar.h.

template<typename Iterator, typename Skipper>

typedef bool Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::ResultT

Definition at line 123 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator, typename Skipper>

Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::BoolGrammar | ( |  | ) |
| inline

Definition at line 104 of file Grammar.h.

104 : BoolGrammar::base_type( boolean )
105 {
106 boolean = enc::no_case[qi::lit( "true" )[qi::_val = true] | qi::lit( "false" )[qi::_val = false]];
107 }
template<typename Iterator, typename Skipper>

Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::BoolGrammar | ( |  | ) |
| inline

Definition at line 124 of file GrammarsV2.h.

124 : BoolGrammar::base_type( boolean_literal )
125 {
126 boolean_literal = ( qi::lit( "true" ) | "True" | "TRUE" | "1" )[qi::_val = true] |
127 ( qi::lit( "false" ) | "False" | "FALSE" | "0" )[qi::_val = false];
128 }
Gaudi::Parsers::BoolGrammar::boolean_literal
qi::rule< Iterator, bool(), Skipper > boolean_literal
Definition: GrammarsV2.h:129

## Member Data Documentation

template<typename Iterator, typename Skipper>

qi::rule<Iterator, bool(), Skipper> Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::boolean

Definition at line 109 of file Grammar.h.

template<typename Iterator, typename Skipper>

qi::rule<Iterator, bool(), Skipper> Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::boolean_literal

Definition at line 129 of file GrammarsV2.h.

The documentation for this struct was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/Grammar.h
- GaudiKernel/GaudiKernel/GrammarsV2.h